"use server";
import { NextResponse } from "next/server";
import { getCountdownByRelationship } from "~/server/functions";

export const GET = async (request: Request) => {
  try {
    const url = new URL(request.url);
    const apiKey = url.searchParams.get("apiKey");
    if (apiKey !== process.env.API_KEY) {
      console.log("Invalid API Key");
      return NextResponse.json({ message: "Invalid API Key" }, { status: 401 });
    } else {
      const relationshipId = url.searchParams.get("relationshipId");
      if (!relationshipId)
        return NextResponse.json({ message: "Invalid relationshipId" }, { status: 400 });
      const countdown = await getCountdownByRelationship(parseInt(relationshipId));
      return NextResponse.json(countdown);
    }
  } catch (error) {
    console.error(error);
    return NextResponse.json({ message: "Error" }, { status: 500 });
  }
};
