"use server";
import { NextResponse } from "next/server";
import { fetchMessages } from "~/server/functions";

export const GET = async (request: Request) => {
  try {
    const url = new URL(request.url);
    const apiKey = url.searchParams.get("apiKey");
    if (apiKey !== process.env.API_KEY) {
      console.log("Invalid API Key");
      return NextResponse.json({ message: "Invalid API Key" }, { status: 401 });
    } else {
      const userId = url.searchParams.get("userId");
      if (!userId)
        return NextResponse.json({ message: "Invalid userId" }, { status: 400 });
      const partnerId = url.searchParams.get("partnerId");
      if (!partnerId)
        return NextResponse.json({ message: "Invalid partnerId" }, { status: 400 });
      const messages = await fetchMessages(parseInt(userId), parseInt(partnerId));
      return NextResponse.json(messages);
    }
  } catch (error) {
    console.error(error);
    return NextResponse.json({ message: "Error" }, { status: 500 });
  }
};
