import type { NextRequest } from 'next/server';
import { NextResponse } from 'next/server';

export function middleware(request: NextRequest) {
  const apiKey = request.headers.get('x-api-key');

  if (!apiKey || apiKey !== process.env.API_KEY)
    return NextResponse.json({ message: 'Invalid API key' }, { status: 401 });
}

export const config = {
  matcher: '/api/:path*',
};
